︠9ec2309b-cfc5-4134-bcc4-68f759035277s︠
reset
︡93d6b722-ae2f-4ef4-8736-f96042c10f98︡{"stdout":"<function reset at 0x7f591d340ed8>"}︡{"stdout":"\n"}︡{"done":true}
︠6b8caba8-051a-4a0f-8b32-c2ed39bfff6es︠
####################
# Exercise 1
#Exercise 1. Make a CAS function riemann_sum(f, a, b, n, c) that takes five inputs:
#•end points a,b, a<b,of interval of integration
#•function f continuous on the interval
#•positive integer n, the number of subintervals of equal length in partition of interval [a,b]
#•and parameter p.
#The function returns
#• left Riemann sum if c = 0;
#• middle Riemann sum if c = 1;
#• right Riemann sum if c = 2
#Test your function on example of your choice.

def riemann_sum(f,a,b,n,p):#p takes only one of the values 0, 1, 2
    #Define the partition of the interval [a,b] into n subintervals of equal length:
    delt=(b-a)/n #encode the length of a subinterval
    L=[a+delt for j in range(n+1)] # L is a list of end points of subintervals
    # For each case below S is the sum of the given function values at appropriate x-values
    if p==0:
        S=sum(a+k*delt for k in range(n))
    elif p==1:
        S=sum(f(a+(2*k-1)*delt/2) for k in range(1,n+1))
    else:
        S=sum(f(a+k*delt) for k in range(1,n+1))
    return S*delt
︡aecfb341-aa5a-4c4a-a53b-cf7db8465bab︡{"done":true}
︠54397960-cd11-4c5e-b2c7-33cde01f8f08s︠
#My example:
riemann_sum(x^3-3*x^2,0,2,30,0).n()
︡b0d81353-dce0-4711-a697-39e6766a9321︡{"stdout":"1.93333333333333\n"}︡{"done":true}
︠2017e8bb-0905-4b01-bfc7-6423c4d2e731︠
#Your example:
︡345c0642-fc74-4875-9c11-22af833b9cb7︡
︠c41f788d-86ff-46a4-983e-cd7d2acdcf45s︠
riemann_sum(x^4-4*x^3,0,3,30,0).n()
︡5884c3ac-0b78-4b66-87d5-b0920c7d9c84︡{"stdout":"4.35000000000000\n"}︡{"done":true}
︠5cafe45e-87e7-4b2f-84a6-3e22a5266afb︠
#######################
︡7d28bdb7-7c47-4812-a97c-a6485d4a886d︡
︠fff23df5-09d4-4cea-8247-8ca988b9f248s︠
#Exercise 2
#Make a CAS function integral_MVT(f, a, b) that takes the end points of a closed interval and a continuous function defined on this interval and returns a figure with the graph of the function and the line y=f__ave. Here f_ave is the average value of the function f on the interval [a,b].
def integral_MVT(f,a,b):
    G=Graphics()
    #Make a plot of f on [a,b]:
    fcn_plot=plot(f,a,b,legend_label="f(x)",figsize=[4,2],thickness=2)
    G+=fcn_plot
    #Find the average value of f on [a,b]:
    f_ave=f.integral(x,a,b)/(b-a)
    #Find location of the point c s.t. f(c)=f_ave
    c=find_root(f(x)-f_ave,a,b)
    #Define the constant function equal the f_ave on [a,b] and make a plot of the function
    f_c(x)=f(c)
    f_ave_plot=plot(f_ave,a,b,thickness=2,legend_label="line y=f_ave",linestyle="dashed")
    G+=f_ave_plot
    # Make a plot of two points, c on the x-axis and corresponding point on the graph of f
    pt_plot=point([[c,0],[c,f(c)]],size=40,color='red')
    G+=pt_plot
    return G.show()
#My example:
f(x)=3*sin(x)
integral_MVT(f,0,pi)# Include your own example
︡31bc373a-e61a-40cd-8a80-5974794137f0︡{"file":{"filename":"/home/user/.sage/temp/project-231fa169-dd2b-4b80-8682-c1d6646b2826/307/tmp_45XPLC.svg","show":true,"text":null,"uuid":"cb71c4ac-74d9-42d6-9c44-aa111ab896fc"},"once":false}︡{"done":true}
︠19aabbac-e162-48b8-b22f-77b3fea0eb61︠
# Your example:
︡de2df151-1a46-4a7a-9cd3-1129b5fa6ec6︡
︠9b49cfc7-6937-4427-a509-2f1c2450ecd9s︠
f(x)=2*e^(x)
integral_MVT(f,0,8)
︡cfda7c23-43fe-4a19-a59b-f8a9732883f3︡{"file":{"filename":"/home/user/.sage/temp/project-231fa169-dd2b-4b80-8682-c1d6646b2826/307/tmp_AbZkVT.svg","show":true,"text":null,"uuid":"6259e0c6-5595-4d41-a36c-1df5d4c39c8a"},"once":false}︡{"done":true}
︠ab9ecc4d-8dca-4ea4-b16a-5935555f3c58︠
############################
︡a783e3d8-e69e-4b93-9dbc-cf83dcd2d0af︡
︠cb9b550c-91ce-41c2-b5c0-8f1c6e5ffe6c︠
# Exercise 3
#Consider the parametric curve x=t^2-4,  y=t-t^3, -2<=t<=2.
#Plot the curve. You will see two parts of the area bounded by the curve, a curvilinear triangle and a loop.
#Consider only the area bounded by the curvilinear triangle. Use CAS assistance to find the vertical line that halves the area bounded by this curve. Make a figure with the curve plot and the vertical line.  Show your work.

︡24bc6845-302b-407b-822e-1ea49f066391︡
︠10bb0584-be4d-4e64-9000-3672e63a7020s︠
var("t")
x(t)=(t^2)-4
y(t)=t-(t^3)
︡84a0ca20-0aa5-41a1-86b6-593c88764d36︡{"stdout":"t\n"}︡{"done":true}
︠01350646-32b6-454f-8730-aeab33a9da56s︠
x(t)=t^2-4;
y(t)=t-t^3
︡9dc84e06-6903-45d1-a27b-3283668a057e︡{"done":true}
︠5885d35d-223d-40a6-afed-01f95f652113s︠
x(t)=t^2-4; y(t)=t-t^3
︡cec2ea38-c03d-46de-952d-78fcf1400b8e︡{"done":true}
︠a19a16aa-8378-4121-aae2-c749c363af08s︠
curve=parametric_plot((x(t),y(t)),(t,-2,2));curve
part1=parametric_plot((x(t),y(t)),(t,-2, -1));part1

︡7fadd8f6-c764-444b-bad2-c2bab019531c︡{"file":{"filename":"/home/user/.sage/temp/project-231fa169-dd2b-4b80-8682-c1d6646b2826/307/tmp_vtjCEO.svg","show":true,"text":null,"uuid":"e593d896-f71e-4d17-b7a9-0149472a93da"},"once":false}︡{"file":{"filename":"/home/user/.sage/temp/project-231fa169-dd2b-4b80-8682-c1d6646b2826/307/tmp_j64UZf.svg","show":true,"text":null,"uuid":"57226957-6ebc-4c16-aeec-f92c6365a1bd"},"once":false}︡{"done":true}
︠543df509-b3a9-4b3c-a172-8d701b2aaac9s︠
A=integral(y(t)*2*t,(t,-1,2));A

︡777fce8d-24cd-4439-afbf-5ab37db6b998︡{"stdout":"-36/5\n"}︡{"done":true}
︠2f298d03-793f-44d1-bb87-6d2492c16938︠

︡750592db-6992-4da3-89e1-d1dc17e036e0︡
︠e1c95b54-4e0d-401d-8f50-8a48053e2667s︠
S(p)=integral(y(t)*2*t,(t,-1,p))

︡9439074a-92cb-434d-8e29-1668ddc7525e︡{"done":true}
︠f7369e13-d2db-44fe-9c74-2a688b554621︠
########################
︡18314498-2204-4651-bc10-f2fc5f92f2aa︡
︠f33be8d9-2643-4357-8550-e37ac02a6d10︠
#Mini project: Area of the tilted ellipse

#Part 1. Find the general formula for the area of ellipse that is defined by the formula
#A*x^2+2*B*x*y+C*y^2 = 1  with B^2-A*C < 0.
#Hint: Apply the completing the square technique to the first two terms in the lhs of the given equation. This allows you to rewrite the given equation in the form ((x+k)^(2))/(a^(2))+(y^(2))/(b^(2))=1 with k, a, b depending on parameters A, B, C. Then think about relation between the area of standard ellipse and the area of its image under shear transformations

#Part 2. Apply the formula derived in Part 1 to the ellipse with parameters A = 1/4, B = 2/5, C = 1.
#Plot the given (sheared) ellipse and the corresponding standard ellipse in one figure.
︡605579f6-24b4-4b58-b58a-dc8fe4149d59︡
︠7570e2cd-3199-4c42-8d20-746fa2e255d7s︠
reset
var('A B C')
︡12d6c8d5-3ce5-451d-9bb5-d44f17ad5758︡{"stdout":"<function reset at 0x7fdf794520c8>\n"}︡{"stdout":"(A, B, C)\n"}︡{"done":true}
︠73dfc9f7-3ba5-499b-b69a-917428d87d15︠
#part 1
a=1/sqrt(A); b=sqrt(A/(A*C-B^2))
#part 2
pi/sqrt(1/4-4/25)
︡0e2a5be0-3415-4086-9de6-855b1ceb96cc︡{"stdout":"10/3*pi\n"}︡{"done":true}
︠3cc4199d-d86d-467e-b647-f2f92938366d︠
A=0.25;B=0.4;C=1
a=1/sqrt(A); b=sqrt(A/(A*C-B^2))
a

︡784a4cc7-9c51-43fa-ba38-3da92c4cb6ed︡{"stdout":"2.00000000000000\n"}︡{"done":true}
︠ab5e42fe-de1e-4755-813c-36d5834d1d08s︠
b
︡9ea16877-4bd3-4966-ac92-9217a254f5d1︡{"stdout":"1.66666666666667\n"}︡{"done":true}
︠a7cf94f8-e1a7-4ccc-b92a-a19f873553e3s︠
x=2*cos(t)
y=5/3*sin(t)
︡286e1933-0b40-40ec-b0a0-49e5c6a9c20a︡{"done":true}
︠568c01fd-e2bd-4c85-ae32-87ec24cd8bbes︠
x(t)=2*cos(t)-8/3*sin(t)
y(t)=5/3*sin(t)
parametric_plot((x(t),y(t)),(t,0,2*pi))

︡a69f33ba-6d35-47ec-8e70-ac2570ae6219︡{"file":{"filename":"/home/user/.sage/temp/project-231fa169-dd2b-4b80-8682-c1d6646b2826/307/tmp_vZZXCj.svg","show":true,"text":null,"uuid":"c2767950-3f1b-4a64-b857-2169e3f569a6"},"once":false}︡{"done":true}
︠beadd345-1674-44da-8c86-22e3b33989b4︠

︡69a9d880-e5ca-442a-9eb4-3ba3ac4f32f3︡
︠1b044dc4-bc05-48b1-a04d-587643339992︠

︡fc34952a-8c72-4f3d-81a3-7ffaead48b9c︡
︠7a72f182-a0e8-4467-80ca-831f393aeaa1︠


# Mini project: Lorenz curve and the Gini index
# Fill in the gaps following the steps suggestes in Lecture 7 or do the project your own way.
#Step 1
#(a)

#(b)

#(c)

#Step 2

#Step 3

#######################
︡4b6712c5-e762-4d0c-8d06-2ac3a51529f7︡{"done":true}
︠c70232bb-f998-46a5-92ca-cd4bfbf41d17︠









